key = class:new()
keyimage = love.graphics.newImage("Graphics/key.png")
keyquads = {}
--[[keyquads[1] = love.graphics.newQuad(0, 0, 4, 10, 21, 10)
keyquads[2] = love.graphics.newQuad(7, 0, 2, 10, 21, 10)
keyquads[3] = love.graphics.newQuad(12, 0, 4, 10, 21, 10)
keyquads[4] = love.graphics.newQuad(20, 0, 2, 10, 21, 10)--]]
for x = 1, 4 do
	keyquads[x] = love.graphics.newQuad((x-1)*16, 0, 16, 16, 64, 16)
end

function key:init(x, y, layer)
	self.x = x--+6/16
	self.y = y--+3/16
	self.y = y
	self.width = 4/16
	self.height = 10/16
	self.xSpeed = 0
	self.ySpeed = 0
	self.layer = layer
	self.active = true
	self.passive = true

	self.quad = 1
	self.offsetX = 0
	self.offsetY = 0
	self.rotatetimer = 0
end

function key:update(dt)
	self.rotatetimer = self.rotatetimer + dt
	if self.rotatetimer > .2 then
		self.rotatetimer = 0
		self.quad = self.quad + 1
		if self.quad > 4 then
			self.quad = 1
		end
		if self.quad == 3 or self.quad == 1 then
			--self.offsetX = 1
			--self.offsetY = 0
		else
			--self.offsetX = 0
			--self.offsetY = 1
		end
	end
end

function key:draw()
	love.graphics.setColor(255, 255, 255)
	love.graphics.drawq(keyimage, keyquads[self.quad], self.x*blocksize, self.y*blocksize, 0, scale, scale, self.offsetX, self.offsetY)

end