keydoor = class:new()
prisondoorimage = love.graphics.newImage("Graphics/keydoor.png")

--[[prisondoorquads = {}
prisondoorquads[1] = love.graphics.newQuad(0, 0, 17, 32, 74, 32)
prisondoorquads[2] = love.graphics.newQuad(31, 0, 9, 32, 74, 32)
prisondoorquads[3] = love.graphics.newQuad(52, 0, 4, 32, 74, 32)
prisondoorquads[4] = love.graphics.newQuad(67, 0, 9, 32, 74, 32)--]]

function keydoor:init(x, y, layer)
	self.x = x
	self.y = y
	self.width = 1
	self.height = 2
	self.xSpeed = 0
	self.ySpeed = 0
	self.layer = layer
	self.active = true
	self.offsetX = 1
	self.quad = 1
	self.animatetimer = 0
	self.originaly = y
end

function keydoor:update(dt)
	--[[if self.passive then
		if self.quad < 4 then
			self.animatetimer = self.animatetimer + dt
			if self.animatetimer > .1 then
				self.animatetimer = 0
				self.quad = self.quad + 1
				if self.quad == 4 then
					self.offsetX = 0
				end
			end
		end
	end--]]

	if self.retract and self.y + self.height > self.originaly then
		self.y = self.y-2*dt
		self.passive = true
	end
end

function keydoor:draw()
	love.graphics.setColor(255, 255, 255)
	if not inpreview then
		love.graphics.setScissor(self.x*blocksize, self.originaly*blocksize, self.width*blocksize, self.height*blocksize)
	end
	love.graphics.draw(prisondoorimage, self.x*blocksize, self.y*blocksize, 0, scale, scale, self.offsetX, 0)
	if not inpreview then
		love.graphics.setScissor()
	end
	love.graphics.setColor(255, 255, 255)
end