switch = class:new()
switchimage = love.graphics.newImage("Graphics/switch.png")
switchquads = {}
for x = 1, 2 do
	switchquads[x] = love.graphics.newQuad((x-1)*16, 0, 16, 16, 32, 16)
end

function switch:init(x, y, layer)
	self.x = x
	self.y = y
	self.layer = layer
	self.width = 1
	self.height = 1
	self.xSpeed = 0
	self.ySpeed = 0
	self.passive = true
	self.active = true
	self.quad = 1
	self.on = false
end

function switch:update(dt)
	if self.on then
		self.quad = 2
	else
		self.quad = 1
	end
end

function switch:draw()
	love.graphics.drawq(switchimage, switchquads[self.quad], self.x*blocksize, self.y*blocksize, 0, scale)
end