switchdoor = class:new()
switchdoorimage = love.graphics.newImage("Graphics/switchdoor.png")

function switchdoor:init(x, y, layer)
	self.x = x
	self.y = y
	self.layer = layer
	self.width = 1
	self.height = 2
	self.xSpeed = 0
	self.ySpeed = 0
	self.active = true
	self.originaly = y
	self.offsetX = 0
	self.movingtype = "down"
end

function switchdoor:update(dt)
	local oldtype = self.movingtype
	print(self.x, self.y, self.layer)
	if self.linkedinput.on then
		self.movingtype = "up"
	else
		self.movingtype = "down"
	end
	if oldtype ~= self.movingtype then
		playsound(dooropensound)
	end
	if self.movingtype == "up" then
		if self.y + self.height > self.originaly then
			self.y = self.y-2*dt
			self.passive = true
		end
	elseif self.movingtype == "down" then
		if self.y < self.originaly then
			self.y = self.y + 2*dt
			self.passive =  false
		end
	end
end

function switchdoor:draw()
	love.graphics.setColor(255, 255, 255)
	if not inpreview then
		love.graphics.setScissor(self.x*blocksize, self.originaly*blocksize, self.width*blocksize, self.height*blocksize)
	end
	love.graphics.draw(switchdoorimage, self.x*blocksize, self.y*blocksize, 0, scale, scale, self.offsetX, 0)
	if not inpreview then
		love.graphics.setScissor()
	end
	love.graphics.setColor(255, 255, 255)
end