local indent = 0
function menu_load()
	gamestate = "menu"
	menuselection = 1
end

function menu_update(dt)
end

function menu_draw()
	love.graphics.setColor(255, 255, 255)

	love.graphics.setFont(medfontpack)

	love.graphics.print("Layer", 20*scale, 20*scale)

	setselectedcolor(1, menuselection)
    love.graphics.print("New Game", indent*scale, 140*scale)

	setselectedcolor(2, menuselection)
	love.graphics.print("Exit", indent*scale, 260*scale)

	love.graphics.setColor(255, 255, 255)

end

function menu_keypressed(key)
	if key == "up" then
		menuselection = menuselection - 1
		if menuselection < 1 then
			menuselection = 1
		end
	end
	if key == "down" and menuselection < 2 then
		menuselection = menuselection + 1
	end
	
	if key == "return" or key == " " then
		if menustate == "main" then
			if menuselection == 1 then
				game_load()
				gamestate = "game"
				
			elseif menuselection == 2 then
				love.event.quit()
			end
		end
	end
end


function setselectedcolor(selected, checker)
	if checker == selected then
		love.graphics.setColor(255, 255, 255)
		indent = 30
	else
		love.graphics.setColor(0, 0, 0)
		indent = 20
	end
end